CVE-2013-7082

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting') in packagist/neos/flow

Identifiers

GHSA-vc74-c4m6-9979, CVE-2013-7082

Package Slug

packagist/neos/flow

Vulnerability

Improper Neutralization of Input During Web Page Generation ('Cross-site Scripting')

Description

Cross-site scripting (XSS) vulnerability in the errorAction method in the ActionController base class in TYPO3 Flow (formerly FLOW3) 1.1.x before 1.1.1 and 2.0.x before 2.0.1 allows remote attackers to inject arbitrary web script or HTML via unspecified input, which is returned in an error message.

Affected Versions

All versions starting from 1.1.0 before 1.1.1, all versions starting from 2.0.0 before 2.0.1

Solution

Upgrade to versions 1.1.1, 2.0.1 or above.

Last Modified

2024-02-06

source